;
; Global demo constants
;
; Author:
;	s_tec
;

%ifndef const
%define const(name, value) extern g_ %+ name
%endif

		;Demo options:
k_size_x	equ	1280;640;1024;1920;
k_size_y	equ	720 ;480;768 ;1080;

		;Music constants:
k_music_len	equ	180			;Music length, in seconds
k_music_start	equ	0			;Music starting offset

		;Audio buffer constants:
k_wave_chan	equ	1				;Channels
k_wave_bits	equ	16				;Bits per sample
k_wave_sps	equ	44100				;Samples per second
k_wave_align	equ	k_wave_chan*k_wave_bits/8	;Bytes per block
k_wave_bps	equ	k_wave_sps*k_wave_align		;Bytes per second
k_wave_size	equ	k_music_len*k_wave_bps		;Bytes per buffer

		;Floating-point constants:
const(random_seed,      0x3e800000)
const(random_div,       0x30000000) ;2^-31
const(k0p00003,         0.000030517578125)
const(k0p00006,         0.00006103515625)
const(k0p0001,          0.0001220703125)
const(k0p001,           0.001)
const(k0p25,            0.25)
const(k0p5,             0.5)
const(k1,               1.0)
const(k2,               2.0)
const(k4,               4.0)
const(k8,               8.0)
const(k16,              16.0)
const(k24,              24.0)
const(k32,              32.0)
const(k255,             255.0)
const(k32768,           32768.0)

		;Textures:
k_tex_black	equ	1
k_tex_dot	equ	2
k_tex_eco	equ	3
k_tex_plant	equ	4
k_tex_ground	equ	5
k_tex_factory	equ	6
k_tex_smoke	equ	7
k_tex_danger	equ	8
k_tex_people	equ	9
k_tex_chevron	equ	10
k_tex_hex	equ	11
k_tex_pole	equ	12
k_tex_blade	equ	13
k_tex_cloud	equ	14
k_tex_recycle	equ	15
