@ECHO OFF
IF NOT EXIST Debug MKDIR Debug

SET AFLAGS=-rnasm -pnasm -fWin32 -ddebug
SET LIBS=/subsystem:windows /out:"Debug\demo.exe" /entry:main /REPORT:Debug/crinkler.htm kernel32.lib user32.lib gdi32.lib gdiplus.lib glu32.lib opengl32.lib winmm.lib

yasm %AFLAGS% -o"Debug\main.obj"    main.asm
IF ERRORLEVEL 1 GOTO Problem

yasm %AFLAGS% -o"Debug\demo.obj"    demo.asm
IF ERRORLEVEL 1 GOTO Problem

yasm %AFLAGS% -o"Debug\synth.obj"   synth.asm
IF ERRORLEVEL 1 GOTO Problem

yasm %AFLAGS% -o"Debug\texture.obj" texture.asm
IF ERRORLEVEL 1 GOTO Problem

yasm %AFLAGS% -o"Debug\const.obj"   const.asm
IF ERRORLEVEL 1 GOTO Problem

yasm %AFLAGS% -o"Debug\music.obj"   music.asm
IF ERRORLEVEL 1 GOTO Problem

crinkler %LIBS% Debug\main.obj Debug\demo.obj Debug\synth.obj Debug\texture.obj Debug\const.obj Debug\music.obj
IF ERRORLEVEL 1 GOTO Problem
IF ERRORLEVEL 0 GOTO Run

:Problem
PAUSE
GOTO End

:Run
Debug\demo.exe
GOTO End

:End